
Katello - Bug #4079

Failed content view definition publish/refres can not always be re-tried

01/16/2014 05:47 PM - Katello Issue Migration

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Sometimes attempting to refresh and failed published view will fail with an exception.  I believe that the repo has been cloned, but for

some reason we don't realize it has been.

Validation failed: Pulp has already been

taken

/home/jlsherri/.rvm/gems/ruby-1.9.3-p374@katello/gems/activerecord-3.2.13/lib/active_record/validations.rb:56:in `save!'

/home/jlsherri/.rvm/gems/ruby-1.9.3-p374@katello/gems/activerecord-3.2.13/lib/active_record/attribute_methods/dirty.rb:33:in `save!'

/home/jlsherri/.rvm/gems/ruby-1.9.3-p374@katello/gems/activerecord-3.2.13/lib/active_record/transactions.rb:264:in `block in save!'

/home/jlsherri/.rvm/gems/ruby-1.9.3-p374@katello/gems/activerecord-3.2.13/lib/active_record/transactions.rb:313:in `block in

with_tra

nsaction_returning_status'

/home/jlsherri/.rvm/gems/ruby-1.9.3-p374@katello/gems/activerecord-3.2.13/lib/active_record/connection_adapters/abstract/databas

e_sta

tements.rb:192:in `transaction'

/home/jlsherri/.rvm/gems/ruby-1.9.3-p374@katello/gems/activerecord-3.2.13/lib/active_record/transactions.rb:208:in `transaction'

/home/jlsherri/.rvm/gems/ruby-1.9.3-p374@katello/gems/activerecord-3.2.13/lib/active_record/transactions.rb:311:in

`with_transaction_

returning_status'

/home/jlsherri/.rvm/gems/ruby-1.9.3-p374@katello/gems/activerecord-3.2.13/lib/active_record/transactions.rb:264:in `save!'

/home/jlsherri/git/katello/app/lib/lazy_accessor.rb:108:in `save!'

/home/jlsherri/git/katello/app/models/repository.rb:267:in `create_clone'

/home/jlsherri/git/katello/app/models/content_view_version.rb:137:in `block in refresh_repos'

/home/jlsherri/git/katello/app/models/content_view_version.rb:131:in `each'

/home/jlsherri/git/katello/app/models/content_view_version.rb:131:in `refresh_repos'

/home/jlsherri/git/katello/app/models/content_view_version.rb:82:in `refresh_version'

/home/jlsherri/git/katello/app/models/async_operation.rb:58:in `perform'

Created: jlsherrill on June 07, 2013 15:35 +00:00

Imported from https://api.github.com/repos/Katello/katello/issues/2448

Comment 1

https://bugzilla.redhat.com/show_bug.cgi?id=972852

Created: omaciel on June 10, 2013 16:07 +00:00

Imported from https://api.github.com/repos/Katello/katello/issues/comments/19208820

History

#1 - 04/08/2014 06:30 PM - Eric Helms

- Status changed from New to Closed

- Triaged set to No

Closing due to the changes in content view design and operation, please re-open if this is still an issue under the new design.
#2 - 06/06/2014 01:33 PM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/21/2014 02:28 PM - Eric Helms

- translation missing: en.field_release set to 13
